int window_size = 500;
int diameter = 60;
float distance = diameter * 1.1;
int repeat = window_size / int((distance / 2 * sqrt(3))) + 1;

void setup() {
  size(window_size,window_size);
  colorMode(RGB,100);
  background(100);
  smooth();
  noStroke();
  frameRate(3);
}

void draw() {
  background(100);
  for (int j=0; j<= repeat; j++) {
    for(int i=0; i<= repeat; i++) {
      fill(random(100),random(100),random(100),30);
      float bubble = diameter*0.8 + diameter*random(0.3);
      if (j%2==0) {
        ellipse(distance*i,distance/2*sqrt(3)*j,
        bubble,bubble);
      }
      else {
        ellipse(distance/2+distance*i,distance/2*sqrt(3)*j,
        bubble,bubble);
      }
    }
  }
}


